- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# QGridLayout Class Reference

Search for all occurrences

## Detailed Description

Examples:

  PtexExtractor/PtexLayout.cpp.

Definition at line 60 of file qgridlayout.h.

`#include <qgridlayout.h>`

Inheritance diagram for QGridLayout:
[legend]

List of all members.

## Public Member Functions
| QGridLayout (QWidget *parent)
| QGridLayout ()
| ~QGridLayout ()
QSize | sizeHint () const
QSize | minimumSize () const
QSize | maximumSize () const
void | setHorizontalSpacing (int spacing)
int | horizontalSpacing () const
void | setVerticalSpacing (int spacing)
int | verticalSpacing () const
void | setSpacing (int spacing)
int | spacing () const
void | setRowStretch (int row, int stretch)
void | setColumnStretch (int column, int stretch)
int | rowStretch (int row) const
int | columnStretch (int column) const
void | setRowMinimumHeight (int row, int minSize)
void | setColumnMinimumWidth (int column, int minSize)
int | rowMinimumHeight (int row) const
int | columnMinimumWidth (int column) const
int | columnCount () const
int | rowCount () const
QRect | cellRect (int row, int column) const
bool | hasHeightForWidth () const
int | heightForWidth (int) const
int | minimumHeightForWidth (int) const
Qt::Orientations | expandingDirections () const
void | invalidate ()
void | addWidget (QWidget *w)
void | addWidget (QWidget *, int row, int column, Qt::Alignment=0)
void | addWidget (QWidget *, int row, int column, int rowSpan, int columnSpan, Qt::Alignment=0)
void | addLayout (QLayout *, int row, int column, Qt::Alignment=0)
void | addLayout (QLayout *, int row, int column, int rowSpan, int columnSpan, Qt::Alignment=0)
void | setOriginCorner (Qt::Corner)
Qt::Corner | originCorner () const
QLayoutItem * | itemAt (int index) const
QLayoutItem * | itemAtPosition (int row, int column) const
QLayoutItem * | takeAt (int index)
int | count () const
void | setGeometry (const QRect &)
void | addItem (QLayoutItem *item, int row, int column, int rowSpan=1, int columnSpan=1, Qt::Alignment=0)
void | setDefaultPositioning (int n, Qt::Orientation orient)
void | getItemPosition (int idx, int *row, int *column, int *rowSpan, int *columnSpan)
## Protected Member Functions
void | addItem (QLayoutItem *)

## Constructor & Destructor Documentation

QGridLayout | ( | QWidget * | parent | ) | `[explicit]`

QGridLayout | ( |  | ) |

~QGridLayout | ( |  | ) |

## Member Function Documentation

QSize sizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QLayoutItem.

QSize minimumSize | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QLayout.

QSize maximumSize | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QLayout.

void setHorizontalSpacing | ( | int | spacing | ) |

Search for all occurrences

int horizontalSpacing | ( |  | ) | const

Search for all occurrences

void setVerticalSpacing | ( | int | spacing | ) |

Search for all occurrences

int verticalSpacing | ( |  | ) | const

Search for all occurrences

void setSpacing | ( | int | spacing | ) |

Search for all occurrences

Reimplemented from QLayout.

int spacing | ( |  | ) | const

Search for all occurrences

Reimplemented from QLayout.

void setRowStretch | ( | int | row,
|  | int | stretch
| ) |  |

Search for all occurrences

void setColumnStretch | ( | int | column,
|  | int | stretch
| ) |  |

Search for all occurrences

int rowStretch | ( | int | row | ) | const

Search for all occurrences

int columnStretch | ( | int | column | ) | const

Search for all occurrences

void setRowMinimumHeight | ( | int | row,
|  | int | minSize
| ) |  |

Search for all occurrences

void setColumnMinimumWidth | ( | int | column,
|  | int | minSize
| ) |  |

Search for all occurrences

int rowMinimumHeight | ( | int | row | ) | const

Search for all occurrences

int columnMinimumWidth | ( | int | column | ) | const

Search for all occurrences

int columnCount | ( |  | ) | const

Search for all occurrences

int rowCount | ( |  | ) | const

Search for all occurrences

QRect cellRect | ( | int | row,
|  | int | column
| ) |  | const

Search for all occurrences

bool hasHeightForWidth | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QLayoutItem.

int heightForWidth | ( | int |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QLayoutItem.

int minimumHeightForWidth | ( | int |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QLayoutItem.

Qt::Orientations expandingDirections | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QLayout.

void invalidate | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QLayout.

void addWidget | ( | QWidget * | w | ) | `[inline]`

Search for all occurrences

Reimplemented from QLayout.

Examples:
  PtexExtractor/PtexLayout.cpp.

Definition at line 116 of file qgridlayout.h.

    { QLayout::addWidget(w); }

void addWidget | ( | QWidget * | ,
|  | int | row,
|  | int | column,
|  | Qt::Alignment | = `0`
| ) |  |

Search for all occurrences

void addWidget | ( | QWidget * | ,
|  | int | row,
|  | int | column,
|  | int | rowSpan,
|  | int | columnSpan,
|  | Qt::Alignment | = `0`
| ) |  |

Search for all occurrences

void addLayout | ( | QLayout * | ,
|  | int | row,
|  | int | column,
|  | Qt::Alignment | = `0`
| ) |  |

Search for all occurrences

void addLayout | ( | QLayout * | ,
|  | int | row,
|  | int | column,
|  | int | rowSpan,
|  | int | columnSpan,
|  | Qt::Alignment | = `0`
| ) |  |

Search for all occurrences

void setOriginCorner | ( | Qt::Corner |  | ) |

Search for all occurrences

Qt::Corner originCorner | ( |  | ) | const

Search for all occurrences

QLayoutItem* itemAt | ( | int | index | ) | const `[virtual]`

Search for all occurrences

Implements QLayout.

QLayoutItem* itemAtPosition | ( | int | row,
|  | int | column
| ) |  | const

Search for all occurrences

QLayoutItem* takeAt | ( | int | index | ) | `[virtual]`

Search for all occurrences

Implements QLayout.

int count | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QLayout.

void setGeometry | ( | const QRect & |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QLayout.

void addItem | ( | QLayoutItem * | item,
|  | int | row,
|  | int | column,
|  | int | rowSpan = `1`,
|  | int | columnSpan = `1`,
|  | Qt::Alignment | = `0`
| ) |  |

Search for all occurrences

void setDefaultPositioning | ( | int | n,
|  | Qt::Orientation | orient
| ) |  |

Search for all occurrences

void getItemPosition | ( | int | idx,
|  | int * | row,
|  | int * | column,
|  | int * | rowSpan,
|  | int * | columnSpan
| ) |  |

Search for all occurrences

void addItem | ( | QLayoutItem * |  | ) | `[protected, virtual]`

Search for all occurrences

Implements QLayout.

The documentation for this class was generated from the following file:

- QtGui/qgridlayout.h

QGridLayout QGridLayout QGridLayout QGridLayout QGridLayout QGridLayout QGridLayout QGridLayout QGridLayout QGridLayout
QGridLayout QGridLayout QGridLayout QGridLayout QGridLayout QGridLayout QGridLayout QGridLayout QGridLayout QGridLayout